# SingleListener

interface SingleListener<T : Event> : Listener
Content copied to clipboard

This class represents a Listener with only one event to listen to.

## Functions

onEvent
Link copied to clipboard
abstract fun onEvent(event: T)
Content copied to clipboard

## Extensions

register
Link copied to clipboard
inline fun <T : Event> SingleListener<T>.register(priority: EventPriority = EventPriority.NORMAL, ignoreCancelled: Boolean = false)
Content copied to clipboard
Registers the SingleListener with its event listener.